### Method

# Ide DebuggerBreakpoint get_thread

#### Declaration

    const gchar*
    ide_debugger_breakpoint_get_thread (
      IdeDebuggerBreakpoint* self
    )

#### Description

Gets the “thread” property, which is the thread the breakpoint is currently stopped in (if any).

Available since: | 3.32

Gets property | `Ide.DebuggerBreakpoint:thread`

#### Return value

Returns: | `const gchar*`
| The thread identifier or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.